//CUIMsgContract - [2020-04-13 11:57:47]
#ifndef _CUIMSGCONTRACT_H_
#define _CUIMSGCONTRACT_H_

#include "CMessageBox.h"

/*
00131B78 CUIMsgContract::CUIMsgContract(int)
00131B9C CUIMsgContract::Init(EMessageBoxType,wchar_t const*,wchar_t *,int,int,int,int,bool,bool,bool,CMessageBoxHandler_func,void *)
00131D94 CUIMsgContract::Render()
00131E08 CUIMsgContract::RenderTeam(int)
001321A0 CUIMsgContract::GetContractRect(int)
00132204 CUIMsgContract::Process()
0013234C CUIMsgContract::SetName(wchar_t *)
00132354 CUIMsgContract::ResetName()
00132370 CUIMsgContract::GetSelectedTeam()

0xD0
*/

class CUIMsgContract : public CMessageBox {
public:
  CUIMsgContract(int);  //00131B78
  virtual void Init(EMessageBoxType,
                    wchar_t const *,
                    wchar_t *,
                    int,
                    int,
                    int,
                    int,
                    bool,
                    bool,
                    bool,
                    CMessageBoxHandler_func,
                    void *);  //00131B9C
  virtual void Render();      //00131D94
  virtual int Process();      //00132204

  void RenderTeam(int);       //00131E08
  void GetContractRect(int);  //001321A0
  void SetName(wchar_t *);    //0013234C
  void ResetName();           //00132354
  static int GetSelectedTeam();     //00132370
};

#endif  //_CUIMSGCONTRACT_H_